Package ghidra.trace.util

# Interface DataAdapterMinimal

All Superinterfaces:
  `CodeUnit`, `Data`, `MemBuffer`, `PropertySet`, `Settings`

All Known Subinterfaces:
  `DBTraceDataAdapter`, `DBTraceDefinedDataAdapter`

All Known Implementing Classes:
  `AbstractDBTraceDataComponent`, `AbstractDBTraceProgramViewListing.DBTraceProgramViewUndefinedData`, `DBTraceData`, `DBTraceDataArrayElementComponent`, `DBTraceDataCompositeFieldComponent`, `UndefinedDBTraceData`

public interface DataAdapterMinimal extends Data

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATA_OP_INDEX`
  Operand index for data.
  `static final int[]`
  `EMPTY_INT_ARRAY`

  ### Fields inherited from interface ghidra.program.model.listing.CodeUnit

  `COMMENT_PROPERTY, DEFINED_DATA_PROPERTY, EOL_COMMENT, INSTRUCTION_PROPERTY, MNEMONIC, PLATE_COMMENT, POST_COMMENT, PRE_COMMENT, REPEATABLE_COMMENT, SPACE_PROPERTY`

  ### Fields inherited from interface ghidra.docking.settings.Settings

  `EMPTY_STRING_ARRAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default int`
  `getNumOperands()`
  Returns the number of operands for this code unit..
  `default String`
  `getPrimarySymbolOrDynamicName()`
  `default Reference[]`
  `getValueReferences()`
  Get the references for the value.

  ### Methods inherited from interface ghidra.program.model.listing.CodeUnit

  `addMnemonicReference, addOperandReference, compareTo, contains, getAddress, getAddressString, getBytes, getBytesInCodeUnit, getComment, getComment, getCommentAsArray, getCommentAsArray, getExternalReference, getLabel, getLength, getMaxAddress, getMinAddress, getMnemonicReferences, getMnemonicString, getOperandReferences, getPrimaryReference, getPrimarySymbol, getProgram, getReferenceIteratorTo, getReferencesFrom, getScalar, getSymbols, removeExternalReference, removeMnemonicReference, removeOperandReference, setComment, setComment, setCommentAsArray, setCommentAsArray, setPrimaryMemoryReference, setRegisterReference, setStackReference`

  ### Methods inherited from interface ghidra.program.model.listing.Data

  `addValueReference, getBaseDataType, getComponent, getComponent, getComponentAt, getComponentContaining, getComponentIndex, getComponentLevel, getComponentPath, getComponentPathName, getComponentsContaining, getDataType, getDefaultLabelPrefix, getDefaultValueRepresentation, getFieldName, getNumComponents, getParent, getParentOffset, getPathName, getPrimitiveAt, getRoot, getRootOffset, getValue, getValueClass, hasStringValue, isArray, isConstant, isDefined, isDynamic, isImmutableSettings, isPointer, isStructure, isUnion, isVolatile, isWritable, removeValueReference`

  ### Methods inherited from interface ghidra.program.model.mem.MemBuffer

  `getAddress, getBigInteger, getByte, getBytes, getInputStream, getInputStream, getInt, getLong, getMemory, getShort, getUnsignedByte, getUnsignedInt, getUnsignedShort, getVarLengthInt, getVarLengthUnsignedInt, isBigEndian, isInitializedMemory`

  ### Methods inherited from interface ghidra.program.model.util.PropertySet

  `getIntProperty, getObjectProperty, getStringProperty, getVoidProperty, hasProperty, propertyNames, removeProperty, setProperty, setProperty, setProperty, setProperty`

  ### Methods inherited from interface ghidra.docking.settings.Settings

  `clearAllSettings, clearSetting, getDefaultSettings, getLong, getNames, getString, getSuggestedValues, getValue, isChangeAllowed, isEmpty, setLong, setString, setValue`

- ## Field Details

  - ### DATA_OP_INDEX

    static final int DATA_OP_INDEX
    Operand index for data. Will always be zero
    See Also:
      - Constant Field Values

  - ### EMPTY_INT_ARRAY

    static final int[] EMPTY_INT_ARRAY

- ## Method Details

  - ### getPrimarySymbolOrDynamicName

    default String getPrimarySymbolOrDynamicName()

  - ### getNumOperands

    default int getNumOperands()
    Description copied from interface: `CodeUnit`
    Returns the number of operands for this code unit..
    Specified by:
      `getNumOperands` in interface `CodeUnit`
    Returns:
      the number of operands for this code unit.

  - ### getValueReferences

    default Reference[] getValueReferences()
    Description copied from interface: `Data`
    Get the references for the value.
    Specified by:
      `getValueReferences` in interface `Data`
    Returns:
      the references